# wc3270 Resources

Resources are used to configure wc3270. Resources are named items with string, integer or Boolean values.

Resource definitions come from the following sources:

- Default values are compiled into wc3270.
- If a session file foo.wc3270 is specified on the command line, its contents are applied. These definitions override resource values defined by compiled-in defaults.
- Command-line options override all other resource definitions. If more than one command-line option sets a resource, the last one is used.

Many resources have their own command-line switches, which are listed below. Those that do not can still be set from the command-line via the -xrm command-line option. For example wc3270.bsdTm can be set by the following command-line option:

         -xrm 'wc3270.bsdTm: true'

Note that -xrm is supported on all of the 3270 emulators, not just on x3270.

## Resource File Syntax

A resource file (session file) has the following syntax.

- Each definition consists of:

          wc3270.resource-name: value

- Comment lines begin with !.
- Line continuation is indicated by a backshash (\) character at the end of a line.
- Multi-line resources, such as keymap definitions, are split with newline characters, e.g.:

          wc3270.keymap.foo: \
            <Key>a: String("bob") \n\
            <Key>b: String("fred") \n\
            <Key>c: String("joe")

## Alphabetical Resource List

Name: wc3270.acceptHostname
Type: String
Command Line: -accepthostname
Description:

Defines a specific name to accept when validating the name presented in the server's SSL certificate, instead of using the name or IP address used to make the connection. Takes one of three forms: any, which disables name checking, DNS:name, which specifies a DNS hostname, and IP:address, which specifies a numeric IPv4 or IPv6 address.

Name: wc3270.altCursor
Type: Boolean
Default: false
Command Line: -set altCursor , -clear altCursor
Description:

When true, this causes wc3270 to use the alternate (underscore) cursor. When false, it will use a block cursor.

Name: wc3270.asciiBoxDraw
Type: Boolean
Default: false
Description:

When true, this causes box-drawing characters (the Unicode 2500 block) to be drawn with ASCII-art characters (+, - and |). This allows a readable representation of these characters on the screen when using fonts that do not include them or have them with the wrong width.

Name: wc3270.autoShortcut
Type: Boolean
Default: false
Command Line: -S , +S
Description:

When true, wc3270 will run in auto-shortcut mode. In auto-shortcut mode, wc3270 automatically creates a desktop shortcut (.lnk file) in %TEMP% that is compatible with its session file, then starts it. This ensures that the console window's screen size, character set, font, etc. will be correct.

Auto-shortcut mode requires the use of a session file; the session file must have been created by the Session Wizard (release 3.3.9 or later) and must not have been modified incorrectly. All desktop shortcuts created by the Session Wizard release 3.3.10 or later include setting autoShortcut to true.

The +S command-line switch turns off auto-shortcut mode. All desktop shortcuts created by the Session Wizard release 3.3.10 or later include this switch.

Auto-shortcut mode does not work on Windows 9x.

Name: wc3270.bellMode
Type: String
Description:

Controls how wc3270 responds to an ALARM WCC or BELL character. The value of beepFlash causes both the Windows console to beep and the wc3270 window to flash; this is the default behavior. The values of beep and flash cause just the beep and just the window flash respectively. The value none causes ALARM WCCs and BELL characters to be ignored.

If this resource is defined, it overrides wc3270.visualBell.

Name: wc3270.bindLimit
Type: Boolean
Default: true
Description:

When true, wc3270 will restrict its screen dimensions to those specified in the BIND image sent by the host. If false, it will not.

Name: wc3270.bindUnlock
Type: Boolean
Default: false
Description:

When true, wc3270 will unlock the keyboard as soon as the host sends a BIND image. Otherwise, it will wait until the host sends a Write command.

Note that in some previous releases, unlocking as soon as the BIND image was recevied was the default, and this behavior could be overridden (forcing wc3270 to wait for the Write) by the B: option on the hostname. Since waiting for the Write is now the default, B: is still supported as a no-op.

Name: wc3270.blankFill
Type: Boolean
Default: false
Command Line: -set blankFill , -clear blankFill
Description:

When true, in 3270 mode wc3270 will automatically convert trailing blanks in a field to NULLs in order to insert a character, and will automatically convert leading NULLs to blanks so that input data is not squeezed to the left. This works around some of the quirkier behavior of real 3270 terminals.

Name: wc3270.bsdTm
Type: Boolean
Default: false
Description:

Defines wc3270's response to the TELNET DO TIMING MARK option. When set to false, wc3270 will respond to DO TIMING MARK with WONT TIMING MARK, which is consistent with most modern TELNET clients. When true, wc3270 will respond with WILL TIMING MARK, which is consistent with the old BSD telnet command and with previous versions of wc3270. In either case, wc3270 will never respond to a DONT TIMING MARK option.

Name: wc3270.caDir
Type: String
Command Line: -cadir
Description:

Defines a directory containing CA (root) certificates, used to validate a certificate presented by the host during SSL negotiation. There is no default directory. The default is to use the file `root_certs.txt` in in the wc3270 install directory.

Name: wc3270.caFile
Type: String
Command Line: -cafile
Description:

Defines a PEM-format file containing CA (root) certificates, used to validate a certificate presented by the host during SSL negotiation. The default is to use the file `root_certs.txt` in in the wc3270 install directory.

Name: wc3270.certFile
Type: String
Command Line: -certfile
Description:

Gives the name of a certificate file, provided to the host if requested during SSL negotiation. The default file format is PEM; it can be overridden by wc3270.certFileType. The private key for the certificate is specified by wc3270.keyFile. If wc3270.chainFile is specified, it overrides wc3270.certFile.

Name: wc3270.certFileType
Type: String
Default: pem
Command Line: -certfiletype
Description:

Gives the type of the certificate file specified by wc3270.certFile. The value can be pem or asn1.

Name: wc3270.chainFile
Type: String
Command Line: -chainfile
Description:

Gives the name of a certificate chain file, provided to the host if requested during SSL negotiation. The file contains a PEM-format certificate, optionally followed by any intermediate certificates used to sign it, and the CA (root) certificate. The private key for the certificate is specified by wc3270.keyFile. If wc3270.chainFile is specified, it overrides wc3270.certFile.

Name: wc3270.charset
Type: String
Default: bracket
Command Line: -charset
Description:

This defines the host EBCDIC character set, that is, what glyph (image) is displayed for each EBCDIC code sent by the host, and what EBCDIC code is sent to the host for each character typed on the keyboard. This is more correctly referred to as the host code page.

To display the character sets supported by wc3270, use the -v command-line option.

Note that wc3270 DBCS support is limited. On Windows XP, Windows East Asian language support must be installed. On Windows Vista and later, the Windows System Locale must be set to a matching language.

Name: wc3270.color8
Type: Boolean
Default: false
Description:

If true, wc3270 will respond to a Query(Color) with a list of 8 supported colors. If false, it will send a list of 16 colors. The 8-color setting is required for some hosts which abort a session if 16 colors are reported.

Name: wc3270.composeMap
Type: String
Default: latin1
Description:

Gives the name of the map used to define the pairs of characters that form composite characters with the Compose key. The definition of compose map foo is the resource wc3270.composeMap.foo.

Name: wc3270.composeMap.foo
Type: String
Description:

An individual compose map definition. Each line in the resource is of the form:

             keysym1 + keysym2 = keysym3

meaning "when the Compose key is pressed, followed by keysym1 and keysym2 (in either order), interpret it as keysym3." The definitions are case-sensitive.

Name: wc3270.confDir
Type: String
Default: .
Description:

Defines the wc3270 configuration directory, where wc3270 will search for the ibm_hosts file by default. (See wc3270.hostsFile.)

The default is to search the directory where wc3270 was started, which usually its installation directory.

Name: wc3270.connectTimeout
Type: Integer
Command Line: -connecttimeout
Description:

Specifies a timeout, in seconds, that wc3270 will wait for a host connection to complete. If this is not set, the timeout will be determined by the operating system. Note that wc3270 will wait for the lesser of the two times (the specified timeout and the system-defined timeout).

Name: wc3270.consoleColorForHostColor0
Name: wc3270.consoleColorForHostColorNeutralBlack
Name: wc3270.consoleColorForHostColor1
Name: wc3270.consoleColorForHostColorBlue
Name: wc3270.consoleColorForHostColor2
Name: wc3270.consoleColorForHostColorRed
Name: wc3270.consoleColorForHostColor3
Name: wc3270.consoleColorForHostColorPink
Name: wc3270.consoleColorForHostColor4
Name: wc3270.consoleColorForHostColorGreen
Name: wc3270.consoleColorForHostColor5
Name: wc3270.consoleColorForHostColorTurquoise
Name: wc3270.consoleColorForHostColor6
Name: wc3270.consoleColorForHostColorYellow
Name: wc3270.consoleColorForHostColor7
Name: wc3270.consoleColorForHostColorNeutralWhite
Name: wc3270.consoleColorForHostColor8
Name: wc3270.consoleColorForHostColorBlack
Name: wc3270.consoleColorForHostColor9
Name: wc3270.consoleColorForHostColorDeepBlue
Name: wc3270.consoleColorForHostColor10
Name: wc3270.consoleColorForHostColorOrange
Name: wc3270.consoleColorForHostColor12
Name: wc3270.consoleColorForHostColorPurple
Name: wc3270.consoleColorForHostColor13
Name: wc3270.consoleColorForHostColorPaleGreen
Name: wc3270.consoleColorForHostColor14
Name: wc3270.consoleColorForHostColorPaleTurquoise
Name: wc3270.consoleColorForHostColor15
Name: wc3270.consoleColorForHostColorGrey
Name: wc3270.consoleColorForHostColor16
Name: wc3270.consoleColorForHostColorWhite
Type: Integer
Description:

Defines what console color to use to render a particular host color. Host colors can be specified by name or number. That is, to define the console color to use when the host specifies green, which is host color 4, either the resource wc3270.consoleColorForHostColorGreen or the resource wc3270.consoleColorForHostColor4 can be used.

The default definitions are as follows.

Host Color Index | Host Color Name | Default Console Color
--- | --- | ---
0 | NeutralBlack | 0
1 | Blue | 9
2 | Red | 12
3 | Pink | 13
4 | Green | 10
5 | Turquoise | 11
6 | Yellow | 14
7 | NeutralWhite | 15
8 | Black | 0
9 | DeepBlue | 1
10 | Orange | 12
11 | Purple | 5
12 | PaleGreen | 2
13 | PaleTurquoise | 3
14 | Grey | 7
15 | White | 15

Note that "neutral black" means black on a display device and white on a printing device, and "neutral white" means white on a display device and black on a printing device.

The value of the resource is a console color index (0 through 15). Console colors are defined as follows:

Index | Sample
--- | ---
0 | [sample]
1 | [sample]
2 | [sample]
3 | [sample]
4 | [sample]
5 | [sample]
6 | [sample]
7 | [sample]
8 | [sample]
9 | [sample]
10 | [sample]
11 | [sample]
12 | [sample]
13 | [sample]
14 | [sample]
15 | [sample]

The color samples above are the default values used by the wc3270 Session Wizard when it creates a desktop shortcut. The RGB values for any of the console colors can be changed later using the Colors tab on the Properties dialog of the shortcut.

In NVT mode, wc3270 maps the ANSI-standard colors 0 through 7 to host colors, and from host colors to console colors. The mapping from ANSI colors to host colors cannot be changed, but the mapping from host colors to console colors can be with wc3270.consoleColorForHostColor* resources. The mappings and defaults are as follows:

NVT ANSI Color | Mapped Host Color (not configurable) | Default Console Color
--- | --- | ---
0 (black) | 0 (Black) | 0
1 (red) | 2 (Red) | 12
2 (green) | 4 (Green) | 10
3 (yellow) | 6 (Yellow) | 14
4 (blue) | 1 (Blue) | 9
5 (magenta) | 3 (Pink) | 13
6 (turquoise) | 6 (Turquoise) | 14
7 (white) | 7 (NeutralWhite) | 15

For example, to change the display from white-on-black to black-on-white, define the following resources:

         wc3270.consoleColorForHostColorNeutralBlack: 15
         wc3270.consoleColorForHostColorNeutralWhite: 0

Name: wc3270.crosshair
Type: Boolean
Default: false
Command Line: -set crosshair , -clear crosshair
Description:

When true, causes wc3270 to display a crosshair over the cursor: lines extending with height and width of the screen.

Name: wc3270.crosshairColor
Type: String
Default: purple
Description:

Defines the color used for the crosshair cursor (see wc3270.crosshair). The value is a host color name or numeric host color index:

Host Color Name | Host Color Index
--- | ---
NeutralBlack | 0
Blue | 1
Red | 2
Pink | 3
Green | 4
Turquoise | 5
Yellow | 6
NeutralWhite | 7
Black | 8
DeepBlue | 9
Orange | 10
Purple | 11
PaleGreen | 12
PaleTurquoise | 13
Grey | 14
White | 15

Name: wc3270.cursorPos
Type: Boolean
Default: true
Command Line: -set cursorPos , -clear cursorPos
Description:

When true, causes wc3270 to display the cursor location in the OIA (the status line).

Name: wc3270.dbcsCgcsgid
Type: String
Description:

Overrides the compiled-in value of the CGCSGID for the current host character set, which will be reported to the host in response to a Query(Character Sets). The value is an integer, which can be prefixed with '0x' to be in hexadecimal. The upper 16 bits are the GCSGID (character set) and the lower 16 bits are the CPGID (code page). This value applies only to the double-byte (DBCS) character set. Use wc3270.sbcsCgcsgid for the single-byte (SBCS) character set.

Name: wc3270.dftBufferSize
Type: Integer
Default: 4096
Description:

Deprecated resource -- replaced by wc3270.ftBufferSize

Specifies the default buffer size for DFT IND$FILE file transfers. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: wc3270.devName
Type: String
Command Line: -devname
Description:

Specifies the device name (workstation ID) sent in response to a TELNET NEW-ENVIRON sub-negotiation request, used by iSeries hosts (RFC 4777).

Name: wc3270.dsTrace
Type: Boolean
Default: false
Command Line: -trace , -set dsTrace , -clear dsTrace
Description:

Deprecated resource -- replaced by wc3270.trace

When true, wc3270 writes a hexadecimal representation of all network traffic (and its interpretation) into a file, which defaults to x3trc.process-id.txt. It also pops up a window to watch the file as it is created, with the pathname of the file as the window title. The directory where the file is written is defined by wc3270.traceDir. If wc3270.traceFile is defined, it gives the entire pathname and wc3270.traceDir is ignored.

Name: wc3270.eof
Type: String
Default: ^D
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current line of input to be forwarded to the host without a trailing CR/LF sequence.

Name: wc3270.erase
Type: String
Default: ^?
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (wc3270 gathers a line of input before forwarding it ot the host), entering this character at the keyboard will cause wc3270 to discard the last character on the input line.

When connected in character-at-a-time mode (wc3270 sends each keystroke to the host as it is entered), this is the character that will be sent to the host by the Erase action.

Name: wc3270.eventTrace
Type: Boolean
Default: false
Command Line: -set eventTrace , -clear eventTrace
Description:

Deprecated resource -- replaced by wc3270.trace

When true, wc3270 traces information about keyboard and mouse events into a file. The default file name is x3trc.process-id.txt. It also pops up a window to watch the file as it is created, with the pathname of the file as the window title. The directory where the file is written is defined by wc3270.traceDir. If wc3270.traceFile is defined, it gives the entire pathname and wc3270.traceDir is ignored.

Name: wc3270.extended
Type: Boolean
Default: false
Command Line: -extended
Description:

Deprecated resource -- replaced by wc3270.model syntax

Indicates support for the 3270 Extended Data Stream.

Name: wc3270.ftAllocation
Type: String
Default: default
Description:

Defines the default allocation type for files sent to TSO hosts by IND$FILE file transfers. Possible values are default, which lets the host decide the allocation type, or tracks, cylinders, or avblock.

Name: wc3270.ftAvblock
Type: Integer
Description:

Defines the default AVBOCK (average block) allocation size for files sent to TSO hosts by IND$FILE file transfers.

Name: wc3270.ftBlksize
Type: Integer
Description:

Defines the default block size for files sent to TSO hosts by IND$FILE file transfers.

Name: wc3270.ftBufferSize
Type: Integer
Default: 4096
Description:

Specifies the default buffer size for DFT IND$FILE file transfers. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: wc3270.ftCodePage
Type: Integer
Description:

Deprecated resource -- replaced by wc3270.ftWindowsCodePage

The Windows code page to use for translating between EBCDIC and ASCII in IND$FILE file transfers. The default is to use the system ANSI code page. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: wc3270.ftCr
Type: String
Default: auto
Description:

Defines the default action for line separators (carriage returns and line feeds) in ASCII files during IND$FILE file transfers. The value can be auto, which will add them when files are received from the host and remove them when they are sent to the host, add (same as auto), remove (same as auto), or keep, meaning no special processing is done.

Name: wc3270.ftDirection
Type: String
Default: receive
Description:

Defines the default IND$FILE file transfer direction, from the perspective of the workstation. The value can be either send (send file from workstation to host) or receive (receive file from host to workstation).

Name: wc3270.ftExist
Type: String
Default: keep
Description:

Defines the default behavior for IND$FILE file transfers when the destination file already exists. The value keep means that the transfer will be aborted, replace means that the file will be overwritten unconditionally, and append means that the new file will be appended to the old file.

Name: wc3270.ftHost
Type: String
Default: tso
Description:

Defines the default host type for IND$FILE file transfers. The value can be vm, tso or cics.

Name: wc3270.ftHostFile
Type: String
Description:

Defines the default host file name for IND$FILE file transfers.

Name: wc3270.ftLocalFile
Type: String
Description:

Defines the default local file name for IND$FILE file transfers.

Name: wc3270.ftLrecl
Type: Integer
Description:

Defines the default logical record length for files sent to the host via IND$FILE.

Name: wc3270.ftMode
Type: String
Default: ascii
Description:

Defines the default mode for IND$FILE file transfers: ascii (text, with translation between the workstation's code page and EBCDIC), or binary (no translation).

Name: wc3270.ftPrimarySpace
Type: Integer
Description:

Defines the default primary space allocation for files sent to TSO hosts via IND$FILE.

Name: wc3270.ftRecfm
Type: String
Default: default
Description:

Defines the default record format for files sent to the host using IND$FILE. Possibe values are default, fixed, variable, and undefined. The default value of 'default' lets IND$FILE choose an appropriate format.

Name: wc3270.ftRemap
Type: String
Default: yes
Description:

Defines the default mapping behavior for ASCII files transferred with IND$FILE. When set to yes, ASCII files are translated by wc3270 to produce as accurate a mapping as possible between the workstation's code page and the host's EBCDIC code page. When set to no, only the fixed translation built into the IND$FILE application is run, which (roughly) maps ISO 8859-1 to host code page 37.

Name: wc3270.ftSecondarySpace
Type: Integer
Description:

Defines the default secondary space allocation for files sent to TSO hosts via IND$FILE.

Name: wc3270.ftWindowsCodePage
Type: Integer
Description:

The Windows code page to use for translating between EBCDIC and ASCII in IND$FILE file transfers. The default is to use the system ANSI code page. This value can be overridden in the File Transfer dialog and by a parameter to the Transfer action.

Name: wc3270.hostColorForDefault
Name: wc3270.hostColorForIntensified
Name: wc3270.hostColorForProtected
Name: wc3270.hostColorForProtectedIntensified
Type: String
Description:

Defines the default color to use to render text with a particular attribute, when the host does not specify a particular color.

The value of the resource is a host color name or color index. See wc3270.consoleColorForHostColor0 for the definitions of host colors.

The default values are:

wc3270 Resource | Default Host Color
--- | ---
hostColorForDefault | Green
hostColorForIntensified | Red
hostColorForProtected | Blue
hostColorForProtectedIntensified | NeutralWhite

Name: wc3270.hostname
Type: String
Description:

Gives the name of the host to connect to. The name can include the usual options (prefixes to specify special connection options, LU names, and port). A hostname specified on the command line takes precedence over wc3270.hostname.

The most common use of wc3270.hostname is in session files, where a file is used to pass all of the options to establish a wc3270 session.

Name: wc3270.hostsFile
Type: String
Default: ibm_hosts
Description:

The pathname of a file containing hostname aliases. The file can also be used to define a set of actions to perform when connecting to a host.

The format of the file is explained on the ibm_hosts manual page.

Name: wc3270.httpd
Type: String
Command Line: -httpd
Description:

Defines the TCP port and optional address to listen on for HTTP connections. (wc3270 implements a simple REST API and a set of HTML objects for access by scripts.) The syntax of this resource is [address:]port, where address is an IPv4 or IPv6 address such as 127.0.0.1 or 0.0.0.0, and port is a TCP port such as 4080. The address can also be specified as * to indicate 0.0.0.0. A numeric IPv6 address must be enclosed in square brackets, e.g., [1234:5678::3], to avoid ambiguity between the colons inside the address and the colon separating the address from the port. If no address is specified, it defaults to 127.0.0.1.

Name: wc3270.icrnl
Type: Boolean
Default: true
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. It controls whether input carriage returns are mapped to newlines.

Name: wc3270.idleCommand
Type: String
Description:

When wc3270.idleCommand is defined, it specifies a command to execute after a period of keyboard inactivity (no AID keys pressed). The wc3270.idleCommand can be an arbitrary sequence of wc3270 actions, but it should include an action which generates an AID (Enter, Clear, PF or PA). wc3270.idleCommandEnabled must be true in order for the wc3270.idleCommand to take effect. (This is so an idle command can be defined, but needs to be enabled explicitly at some point after login.) wc3270.idleTimeout specifies the inactivity interval.

Name: wc3270.idleCommandEnabled
Type: Boolean
Default: false
Description:

Controls whether wc3270.idleCommand has effect as soon as a host session is established. (This is so an idle command can be defined, but needs to be explicitly enabled at some point after login.)

Name: wc3270.idleTimeout
Type: String
Default: ~7m
Description:

The timeout value for wc3270.idleCommand. If the value ends in h, it specifies hours; if it ends in m it specifies minutes; if it ends in s or does not have an alphanumeric suffix, it specifies seconds.

If the value begins with a tilde ~, the time will be randomly varied +/-10% from the value specified.

Name: wc3270.inlcr
Type: Boolean
Default: false
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. It controls whether input newlines are mapped to carriage returns.

Name: wc3270.intr
Type: String
Default: ^C
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When this character is typed on the keyboard, the TELNET IP (Interrupt Process) sequence is sent to the host.

Name: wc3270.keyFile
Type: String
Command Line: -keyfile
Description:

Gives the name of a file containg the private key for the certificate specified by wc3270.certFile or wc3270.chainFile. The default file type is PEM; it can be overridden by wc3270.keyFileType. If the private key is encrypted, the password is specified by wc3270.keyPasswd.

Name: wc3270.keyFileType
Type: String
Default: pem
Command Line: -keyfileType
Description:

Gives the type of the private key file specified by wc3270.keyFile. The value can be pem or asn1.

Name: wc3270.keymap
Type: String
Command Line: -keymap
Description:

The name of the keyboard map to use. It can be a single keymap name or a comma-separated list of keymaps, which will be applied in order.

Each keymap can optionally be defined in three separate parts: a common keymap, which is applied at all times, an NVT-mode keymap, which is applied only in NVT mode, and a 3270-mode keymap, which is only applied in 3270 mode. The NVT-mode keymap has the same name as the common keymap, with the suffix .nvt appended. The 3270-mode keymap has the suffix .3270 appended. Thus specifying a wc3270.keymap value of foo implies the use of three different keymaps (if found): foo, foo.nvt and foo.3270.

wc3270.keymap is only the name; the actual keymap for name foo can be defined either by the resource wc3270.keymap.foo, or by a keymap file. Keymap files are located in the wc3270 documents directory (usually My Documents\wc3270) and have the suffix .wc3270km.

Name: wc3270.keymap.foo
Type: String
Description:

The definition of keymap foo. Please refer to the How To Create a Custom Keymap document for a full description of the syntax.

Name: wc3270.keyPasswd
Type: String
Command Line: -keypasswd
Description:

Gives the password for the private key file specified by wc3270.keyFile, if it is encrypted. The value can take one of two forms. file:filename specifies that the password is in a file. string:string gives the password value in the resource itself.

Name: wc3270.kill
Type: String
Default: ^U
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current input line to be erased.

When connected in character-at-a-time mode (when wc3270 sends each keystroke to the host), this is the ASCII character that is sent to the host by the DeleteField action.

Name: wc3270.lightPenPrimary
Type: Boolean
Default: false
Description:

Controls how a left mouse button works with the Alt key. When set to the default of false, clicking the left mouse button without a modifier will move the cursor or highlight an area for copy and paste. Clicking the left mouse button with Alt pressed will cause a lightpen select operation at the screen location where the mouse cursor is (it will not move the 3270 cursor).

When set to true, these are reversed. The left mouse button without a modifier will do a lightpen select; with Alt it will move the cursor or select for copy and paste.

Name: wc3270.lineWrap
Type: Boolean
Default: true
Command Line: -set lineWrap , -clear lineWrap
Description:

This setting is used only in NVT mode. When true, wc3270 will automatically insert a CR/LF sequence when output reaches the end of a line. When false, output will pile up at the end of each line until the host sends a CR/LF sequence.

Name: wc3270.loginMacro
Type: String
Command Line: -loginmacro
Description:

Defines a sequence of commands to run as soon as a host connection is established. Usually these would be commands used to navigate through login screens, such String, Tab and Enter.

If a wc3270.hostsFile is in use and a matching entry is found, the login macro from that entry will be used in preference to the wc3270.loginMacro.

Name: wc3270.lnext
Type: String
Default: ^V
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name.

When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard removes any special meaning from the next character entered.

Name: wc3270.m3279
Type: Boolean
Default: true
Command Line: -color
Description:

Deprecated resource -- replaced by wc3270.model syntax

Indicates support for color (a 3279 terminal).

Name: wc3270.marginedPaste
Type: Boolean
Default: false
Command Line: -set marginedPaste , -clear marginedPaste
Description:

When true, wc3270 will use the current cursor position as a left margin for pasted data: no pasted data will be input into an area to the left of the current cursor positon.

Name: wc3270.menuBar
Type: Boolean
Default: true
Description:

If false, the menu bar will not be displayed at the top of the wc3270 main window.

Name: wc3270.model
Type: String
Default: 3279-4-E
Command Line: -model
Description:

The terminal model that wc3270 is emulating. The model is in three parts, separated by dashes; each part is optional.

- 3278 or 3279
  3278 specifies a monochrome (green) 3270 display.
  3279 specifies a color 3270 display.
- 2, 3, 4 or 5 The model number, which determines the size of the screen. Model 2 has 24 rows and 80 columns. Model 3 has 32 rows and 80 columns. Model 4 has 43 rows and 80 columns. Model 5 has 27 rows and 132 columns. The default is the largest model that will fit on the console or terminal emulator window where wc3270 is running. Displaying the OIA (status line) requires one more row than what is listed above.
- E An optional suffix which indicates support for the 3270 Extended Data Stream (color, extended attributes, Query Reply). 3279 implies E.

Name: wc3270.monoCase
Type: Boolean
Default: false
Command Line: -set monoCase , -clear monoCase
Description:

When true, causes wc3270 to run in uppercase-only mode.

Name: wc3270.newEnviron
Type: Boolean
Default: true
Description:

If true, wc3270 will respond to the TELNET NEW-ENVIRONMENT option. If false, it will not.

Name: wc3270.noPrompt
Type: Boolean
Default: false
Description:

If true, the interactive wc3270> prompt will be disabled. In particular, this means that when wc3270 is not connected to a host, a keymap or an external script is the only way to start a new host connection.

Name: wc3270.numericLock
Type: Boolean
Default: false
Description:

When true, causes wc3270 to lock the keyboard when non-numeric data is entered into fields with the Numeric attribute.

Name: wc3270.nvtMode
Type: Boolean
Default: false
Command Line: -nvt
Description:

When true, causes wc3270 to start immediately in NVT mode and allow keyboard input immediately, instead of waiting for the host to send data or negotiate 3270 mode. It also causes the default terminal type to be xterm.

Name: wc3270.onlcr
Type: Boolean
Default: true
Description:

Used only in NVT line-at-a-time mode; similar to the stty parameter of the same name. It controls whether output newlines are mapped to CR/LF sequences.

Name: wc3270.oerrLock
Type: Boolean
Default: true
Description:

If true, operator errors (typing into protected fields, insert overflow, etc.) will cause the keyboard to lock with an error message in the OIA (status line). If false, these errors will simply cause the terminal bell will ring, without any keyboard lock or message.

Name: wc3270.once
Type: Boolean
Default: false
Command Line: -once
Description:

When true, wc3270 will exit as soon as a host disconnects. The default is false if no hostname is specified on the command line or in a session file, true otherwise.

Name: wc3270.overlayPaste
Type: Boolean
Default: false
Command Line: -set overlayPaste , -clear overlayPaste
Description:

When true, the Paste action will overlay protected fields, instead of locking the keyboard and stopping. This means that when the cursor is on a protected field, a displayable character read from the paste buffer will simply cause the cursor to advance to the right; the actual character is ignored. This allows regions of the screen that include protected fields to be copied and pasted back into a formatted screens that include the same protected fields (i.e., a form).

Note: Setting overlayPaste to true will cause wc3270 to act as if the wc3270.marginedPaste toggle were also set.

Name: wc3270.oversize
Type: String
Command Line: -oversize
Description:

Sets the screen dimensions to be larger than the default for the chosen model. Its value is a string in the format colsxrows. It can also be the string auto, which will cause wc3270 to use the entire screen area of the console window it is running in. It is used only if the wc3270.model includes the "-E" (extended data stream) suffix, and only if the specified dimensions are larger than the model number defaults. Also, only hosts that support the Query Reply structured field will function properly with wc3270 in this mode.

Name: wc3270.port
Type: String
Default: telnet
Command Line: -port
Description:

The name of the default TCP port for wc3270 to connect to. This can be either a symbolic name from /etc/services, or an integer.

Name: wc3270.proxy
Type: String
Command Line: -proxy
Description:

Defines a proxy server that wc3270 will use to connect to hosts. The value is of the form type:server[:port], where options for type are described on the wc3270 manual page.

Name: wc3270.printerLu
Type: String
Command Line: -printerlu
Description:

If a value is set, wc3270 will automatically start a wpr3287 printer session when a host connection is established. If the value is ".", the wpr3287 session will be associated with the interactive terminal session (this requires that the host supports TN3270E). Otherwise, the value is taken as the LU name to associate with the printer session.

Name: wc3270.printer.assocCommandLine
Type: String
Default: wpr3287.exe -assoc %L% -command %R% %P% %V% %S% %I% %O% %H%
Description:

Note: This resource is for debug purposes only. To add optional parameters to the wc3270 command line, use wc3270.printer.options.

The shell command to use to start a printer session, when associated with the current TN3270E session LU (when wc3270.printerLU is "."). Within the string, the following substitutions are made:

- %H% is replaced with the current host name
- %I% is replaced with an option to pass wc3270.printer.codepage
- %L% is replaced with the current session's LU
- %O% is replaced with the value of wc3270.printer.options
- %P% is replaced with the current session's proxy option (wc3270.proxy)
- %R% is replaced with an option to pass the current character set
- %S% is replaced with an option to pass the port of the sync socket
- %V% is replaced with SSL-related options

Name: wc3270.printer.codepage
Type: Integer
Description:

The codepage used by the printer associated with wpr3287 printer sessions. The default is to use the system's ANSI codepage.

Name: wc3270.printer.luCommandLine
Type: String
Default: wpr3287.exe %R% %P% %V% %S% %I% %O% %L%@%H%
Description:

Note: This resource is for debug purposes only. To add optional parameters to the wc3270 command line, use wc3270.printer.options.

The shell command to use to start a printer session, when associated with a specific LU. Within the string, the following substitutions are made:

- %H% is replaced with the current host name
- %I% is replaced with an option to pass wc3270.printer.codepage
- %L% is replaced with the LU value entered into the dialog box
- %O% is replaced with the value of wc3270.printer.options
- %P% is replaced with current session's proxy option (wc3270.proxy)
- %R% is replaced with an option to pass the current character set
- %S% is replaced with an option to pass the port of the sync socket
- %V% is replaced with SSL-related options

Name: wc3270.printer.name
Type: String
Description:

Defines the name of the printer used for wpr3287 sessions and by the PrintText action. The default is to use the system's default printer.

Name: wc3270.printer.options
Type: String
Description:

Defines extra parameters to substutute for the %O% token in the printer command line.

Name: wc3270.printTextFont
Type: String
Default: Courier New
Description:

The font used by the PrintText action.

Name: wc3270.printTextHorizontalMargin
Type: Integer
Default: 0.5
Description:

The left- and right-hand margins used by the PrintText action when printing in GDI mode. (It is not used when printing via WordPad.) The value is in inches by default, but can be suffixed with mm or cm to specify SI units.

Name: wc3270.printTextOrientation
Type: Integer
Description:

The page orientation used by the PrintText action when printing in GDI mode. (It is not used when printing via WordPad.) The value is either portrait or landscape. The default is to use whatever the printer's default is.

Name: wc3270.printTextScreensPerPage
Type: Integer
Default: 1
Description:

The number of screens to display on a page when tracing screens to the printer.

Name: wc3270.printTextSize
Type: Integer
Default: auto (GDI), 8 (WordPad)
Description:

The font size used by the PrintText action. When using GDI printing, the default is to select the largest font that will fit across the page. When using WordPad for printing, the default is 8 points.

Name: wc3270.printTextVerticalMargin
Type: Integer
Default: 0.5
Description:

The top and bottom margins used by the PrintText action when printing in GDI mode. (It is not used when printing via WordPad.) The value is in inches by default, but can be suffixed with mm or cm to specify SI units.

Name: wc3270.qrBgColor
Type: Boolean
Default: false
Description:

When true, wc3270 will report in the QueryReply(color) that it supports background color; when false, it will not. It is disabled by default because certain versions of GDDM are confused by this report and will crash.

Name: wc3270.quit
Type: String
Default: ^\
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the TELNET BREAK sequence to be sent to the host.

Name: wc3270.reconnect
Type: Boolean
Default: false
Description:

When true, wc3270 will automatically reconnect to a host after it disconnects.

Name: wc3270.rprnt
Type: String
Default: ^R
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard causes the current input line to be redisplayed.

Name: wc3270.saveLines
Type: Integer
Default: 4096
Command Line: -sl
Description:

The number of display lines to save for the scroll bar. Note that the scroll bar operates on full screens of data, so the value divided by the number of rows on the screen gives you the number of screens that will be saved.

Name: wc3270.sbcsCgcsgid
Type: String
Description:

Overrides the compiled-in value of the CGCSGID for the current host character set. The value is an integer, which can be prefixed with '0x' to be in hexadecimal. The upper 16 bits are the GCSGID (character set) and the lower 16 bits are the CPGID (code page). This value applies only to the single-byte (SBCS) character set. Use wc3270.dbcsCgcsgid for the double-byte (DBCS) character set.

Name: wc3270.screenTrace
Type: Boolean
Default: false
Command Line: -set screenTrace , -clear screenTrace
Description:

When true, wc3270 will save an ASCII version of the screen image in a file every time it changes. The file name defaults to x3scr.pid.txt. The directory where the file is written is defined by wc3270.traceDir. If wc3270.screenTraceFile is defined, it defines the file name and wc3270.traceDir is ignored. file name.

Name: wc3270.screenTraceFile
Type: String
Description:

If defined, gives the name of the file that screen traces will be written into.

Name: wc3270.scriptPort
Type: Integer
Command Line: -scriptport
Description:

If defined, wc3270 will accept script connections on the specified local TCP port. The rules for the commands passed over these connections are documented in the x3270-script manual page. The syntax of this resource is [address:]port, where address is an IPv4 or IPv6 address such as 127.0.0.1 or 0.0.0.0, and port is a TCP port such as 4081. The address can also be specified as * to indicate 0.0.0.0. A numeric IPv6 address must be enclosed in square brackets, e.g., [1234:5678::3], to avoid ambiguity between the colons inside the address and the colon separating the address from the port. If no address is specified, it defaults to 127.0.0.1.

Name: wc3270.scriptPortOnce
Type: Boolean
Default: false
Command Line: -scriptportonce
Description:

If defined, wc3270 will accept only one script connection. When that connection is broken, it will exit.

Name: wc3270.selfSignedOk
Type: Boolean
Default: false
Description:

When true, wc3270 will allow SSL authentication with a host that uses a self-signed certificate.

Name: wc3270.suppressActions
Type: String
Description:

A list of whitespace-separated action names, with or without parentheses, which are to be ignored. The actions will be completely inaccessible, whether by keymaps, scripts, macros or the Execute an Action menu option. This resource is intended to be used as a security precaution for users who can define their own keymaps, but who do not have access to resource definitions or command-line options.

Name: wc3270.termName
Type: String
Command Line: -tn
Description:

An alternate name to be sent in response to the host's TELNET DO OPTION TERMINAL-NAME request. The default is IBM-, followed by the value of wc3270.model.

Name: wc3270.title
Type: String
Command Line: -title
Description:

Sets the title for the wc3270 window, overriding the default of constructing the name from the host that is connected to.

Name: wc3270.tls
Type: Boolean
Default: true
Description:

If true, wc3270 will accept TLS negotiations from the host (if the OpenSSL DLLs are installed). If false, it will reject them.

Name: wc3270.trace
Type: Boolean
Default: false
Command Line: -trace , -set trace , -clear trace
Description:

When true, wc3270 writes information about events and actions, as well as a hexadecimal representation of all network traffic (and its interpretation) into a file, which defaults to x3trc.process-id.txt. It also pops up a window to watch the file as it is created, with the pathname of the file as the window title. The directory where the file is written is defined by wc3270.traceDir. If wc3270.traceFile is defined, it gives the entire pathname and wc3270.traceDir is ignored.

Name: wc3270.traceDir
Type: String
Default: current user's Desktop
Description:

Defines the directory that trace files are written into.

Name: wc3270.traceFile
Type: String
Command Line: -tracefile
Description:

If defined, gives the name of the file that data stream and event traces will be written into. If it begins with ">>", data will be appended to the file.

Name: wc3270.traceFileSize
Type: String
Command Line: -tracefilesize
Description:

If defined, gives a limit on the size of the file that data stream and event traces will be written into. If not defined, or defined as 0, there will be no limit on the size of the file. The value is a number, followed by an optional suffix. If the suffix is K (e.g., 128K), the value will be multiplied by 1024. If the suffix is M, the value will be multiplied by (1024*1024). The size limit enforced at operation boundaries, not per byte, so the actual file may grow slightly larger. When the file size exceeds the limit, the trace file will be renamed with a "-" appended and a new file started.

Name: wc3270.traceMonitor
Type: Boolean
Default: true
Description:

When true, wc3270 will create a window to monitor data stream and event traces. When false, no monitor window will be created.

Name: wc3270.typeahead
Type: Boolean
Default: true
Description:

When true, wc3270 will store keystrokes in a buffer when the keyboard is locked. When false, these keystrokes will be dropped.

Name: wc3270.underscore
Type: Boolean
Default: true
Command Line: -set underscore , -clear underscore
Description:

When true, wc3270 will display fields with the underlined attribute in a special way: blank characters will be translated to underscore (_) characters. This is needed to overcome the fact that Windows consoles are unable to display real underlined text.

Name: wc3270.unlockDelay
Type: Boolean
Default: true
Description:

When wc3270 sends the host an AID (the Enter, Clear, PF or PA actions), it locks the keyboard until the host sends a reply to unlock it. Some hosts unlock the keyboard before they are actually finished processing the command, which can cause scripts to malfunction subtly. To avoid this, wc3270 implements a hack to briefly delay actually unlocking the keyboard. When wc3270.unlockDelay is true, the keyboard unlock will be delayed for wc3270.unlockDelayMs milliseconds. Setting it to false removes this delay, except when executing a macro.

Name: wc3270.unlockDelayMs
Type: Integer
Default: 350
Description:

Overrides the default value for the unlock delay (the delay between the host unlocking the keyboard and wc3270 actually performing the unlock). The value is in milliseconds; use 0 to turn off the delay completely, including for macros.

Name: wc3270.user
Type: String
Command Line: -user
Description:

Specifies the user name sent in response to a TELNET NEW-ENVIRON sub-negotiation request, used by iSeries hosts (RFC 4777).

Name: wc3270.verifyHostCert
Type: Boolean
Default: false
Command Line: -verifycert
Description:

If false (the default), wc3270 will not verify SSL host certificates. If true or if the -verifycert option is given, wc3270 will verify SSL host certificates, and not allow an SSL or SSL/TLS connection to complete unless the host certificate can be validated.

Name: wc3270.visibleControl
Type: Boolean
Default: false
Command Line: -set visibleControl , -clear visibleControl
Description:

If true, certain control characters, which are normally displayed as blanks, are displayed on the screen.

EBCDIC control characters, are as follows:

Character | Meaning
--- | ---
. | NUL (X'00')
< | The SO character (begins a DBCS subfield)
> | The SI character (ends a DBCS subfield)

3270 field attributes, displayed in reverse-video yellow, are decoded as follows:

Character | Protected | Numeric | Display | Selectable | Modified
--- | --- | --- | --- | --- | ---
0 | - | - | normal | - | -
1 | - | - | normal | - | modified
2 | - | - | normal | selectable | -
3 | - | - | normal | selectable | modified
4 | - | - | intensified | selectable | -
5 | - | - | intensified | selectable | modified
6 | - | - | nondisplay | - | -
7 | - | - | nondisplay | - | modified
8 | - | numeric | normal | - | -
9 | - | numeric | normal | - | modified
A | - | numeric | normal | selectable | -
B | - | numeric | normal | selectable | modified
C | - | numeric | intensified | selectable | -
D | - | numeric | intensified | selectable | modified
E | - | numeric | nondisplay | - | -
F | - | numeric | nondisplay | - | modified
G | protected | - | normal | - | -
H | protected | - | normal | - | modified
I | protected | - | normal | selectable | -
J | protected | - | normal | selectable | modified
K | protected | - | intensified | selectable | -
L | protected | - | intensified | selectable | modified
M | protected | - | nondisplay | - | -
N | protected | - | nondisplay | - | modified
O | protected | numeric | normal | - | -
P | protected | numeric | normal | - | modified
Q | protected | numeric | normal | selectable | -
R | protected | numeric | normal | selectable | modified
S | protected | numeric | intensified | selectable | -
T | protected | numeric | intensified | selectable | modified
U | protected | numeric | nondisplay | - | -
V | protected | numeric | nondisplay | - | modified

Name: wc3270.visualBell
Type: Boolean
Default: false
Description:

Deprecated resource -- replaced by wc3270.bellMode

When true, wc3270 will just flash the screen in response to an ALARM WCC or BELL character, rather than beeping the Windows console. When false, wc3270 will beep the console and flash the screen.

Note that this resource is overridden by wc3270.bellMode. wc3270.bellMode is the preferred method of controlling the console bell behavior.

Name: wc3270.werase
Type: String
Default: ^W
Description:

This setting is used only in NVT mode, and is similar in function to the stty parameter of the same name. When connected in line-at-a-time mode (when wc3270 gathers a line of input before forwarding it to the host), entering this character at the keyboard erases the last word of input.

When connected in character-at-a-time mode (when wc3270 sends each keystroke to the host), this is the ASCII character that is sent to the host by the DeleteWord action.

## Index of All Resources

acceptHostname | altCursor | asciiBoxDraw | autoShortcut
bellMode | bindLimit | bindUnlock | blankFill
bsdTm | caDir | caFile | certFile
certFileType | chainFile | charset | color8
composeMap | composeMap.foo | confDir | connectTimeout
consoleColorForHostColor0 | consoleColorForHostColorNeutralBlack | consoleColorForHostColor1 | consoleColorForHostColorBlue
consoleColorForHostColor2 | consoleColorForHostColorRed | consoleColorForHostColor3 | consoleColorForHostColorPink
consoleColorForHostColor4 | consoleColorForHostColorGreen | consoleColorForHostColor5 | consoleColorForHostColorTurquoise
consoleColorForHostColor6 | consoleColorForHostColorYellow | consoleColorForHostColor7 | consoleColorForHostColorNeutralWhite
consoleColorForHostColor8 | consoleColorForHostColorBlack | consoleColorForHostColor9 | consoleColorForHostColorDeepBlue
consoleColorForHostColor10 | consoleColorForHostColorOrange | consoleColorForHostColor12 | consoleColorForHostColorPurple
consoleColorForHostColor13 | consoleColorForHostColorPaleGreen | consoleColorForHostColor14 | consoleColorForHostColorPaleTurquoise
consoleColorForHostColor15 | consoleColorForHostColorGrey | consoleColorForHostColor16 | consoleColorForHostColorWhite
crosshair | crosshairColor | cursorPos | dbcsCgcsgid
dftBufferSize | devName | dsTrace | eof
erase | eventTrace | extended | ftAllocation
ftAvblock | ftBlksize | ftBufferSize | ftCodePage
ftCr | ftDirection | ftExist | ftHost
ftHostFile | ftLocalFile | ftLrecl | ftMode
ftPrimarySpace | ftRecfm | ftRemap | ftSecondarySpace
ftWindowsCodePage | hostColorForDefault | hostColorForIntensified | hostColorForProtected
hostColorForProtectedIntensified | hostname | hostsFile | httpd
icrnl | idleCommand | idleCommandEnabled | idleTimeout
inlcr | intr | keyFile | keyFileType
keymap | keymap.foo | keyPasswd | kill
lightPenPrimary | lineWrap | loginMacro | lnext
m3279 | marginedPaste | menuBar | model
monoCase | newEnviron | noPrompt | numericLock
nvtMode | onlcr | oerrLock | once
overlayPaste | oversize | port | proxy
printerLu | printer.assocCommandLine | printer.codepage | printer.luCommandLine
printer.name | printer.options | printTextFont | printTextHorizontalMargin
printTextOrientation | printTextScreensPerPage | printTextSize | printTextVerticalMargin
qrBgColor | quit | reconnect | rprnt
saveLines | sbcsCgcsgid | screenTrace | screenTraceFile
scriptPort | scriptPortOnce | selfSignedOk | suppressActions
termName | title | tls | trace
traceDir | traceFile | traceFileSize | traceMonitor
typeahead | underscore | unlockDelay | unlockDelayMs
user | verifyHostCert | visibleControl | visualBell
werase

## Basic Configuration Resources

charset | connectTimeout | hostname | keymap
model | port | proxy | printerLu

## Appearance Resources

altCursor | consoleColorForHostColor0 | consoleColorForHostColorNeutralBlack | consoleColorForHostColor1
consoleColorForHostColorBlue | consoleColorForHostColor2 | consoleColorForHostColorRed | consoleColorForHostColor3
consoleColorForHostColorPink | consoleColorForHostColor4 | consoleColorForHostColorGreen | consoleColorForHostColor5
consoleColorForHostColorTurquoise | consoleColorForHostColor6 | consoleColorForHostColorYellow | consoleColorForHostColor7
consoleColorForHostColorNeutralWhite | consoleColorForHostColor8 | consoleColorForHostColorBlack | consoleColorForHostColor9
consoleColorForHostColorDeepBlue | consoleColorForHostColor10 | consoleColorForHostColorOrange | consoleColorForHostColor12
consoleColorForHostColorPurple | consoleColorForHostColor13 | consoleColorForHostColorPaleGreen | consoleColorForHostColor14
consoleColorForHostColorPaleTurquoise | consoleColorForHostColor15 | consoleColorForHostColorGrey | consoleColorForHostColor16
consoleColorForHostColorWhite | crosshair | crosshairColor | cursorPos
hostColorForDefault | hostColorForIntensified | hostColorForProtected | hostColorForProtectedIntensified
menuBar | title | underscore

## NVT-Mode Resources

eof | erase | icrnl | inlcr
intr | kill | lineWrap | lnext
onlcr | quit | rprnt | werase

## Protocol Resources

bindLimit | bindUnlock | bsdTm | color8
dbcsCgcsgid | dftBufferSize | devName | ftBufferSize
sbcsCgcsgid | termName | user

## Terminal Interaction Resources

bellMode | blankFill | ftAllocation | ftAvblock
ftBlksize | ftCodePage | ftCr | ftDirection
ftExist | ftHost | ftHostFile | ftLocalFile
ftLrecl | ftMode | ftPrimarySpace | ftRecfm
ftRemap | ftSecondarySpace | ftWindowsCodePage | idleCommand
idleCommandEnabled | idleTimeout | lightPenPrimary | marginedPaste
numericLock | nvtMode | oerrLock | overlayPaste
visualBell

## Security Resources

acceptHostname | caDir | caFile | certFile
certFileType | chainFile | keyFile | keyFileType
keyPasswd | noPrompt | selfSignedOk | suppressActions
tls | verifyHostCert

## Tracing Resources

dsTrace | eventTrace | screenTrace | screenTraceFile
trace | traceDir | traceFile | traceFileSize
traceMonitor

## Other Resources

asciiBoxDraw | autoShortcut | composeMap | composeMap.foo
confDir | hostsFile | httpd | keymap.foo
loginMacro | monoCase | newEnviron | once
oversize | printer.assocCommandLine | printer.codepage | printer.luCommandLine
printer.name | printer.options | printTextFont | printTextHorizontalMargin
printTextOrientation | printTextScreensPerPage | printTextSize | printTextVerticalMargin
qrBgColor | reconnect | saveLines | scriptPort
scriptPortOnce | typeahead | unlockDelay | unlockDelayMs
visibleControl

## Deprecated Resources

extended | m3279

wc3270 version 3.5ga12 Sun Sep 10 10:20:17 CDT 2017